<style type="text/css">
	.req { color: #FF0000 }
	.inner label { width: 250px !important; }
	#fld-services { margin-top: 10px }
	#fld-trusted .inner { margin-bottom: 0 !important; margin-top: 10px; }
	.none { display: none }
</style>
<link href="<?= _st('datepicker.css') ?>" media="screen" rel="stylesheet" type="text/css" />

<?//<script type="text/javascript" src="http://www.google.com/recaptcha/api/js/recaptcha_ajax.js"></script>?>
<script type="text/javascript" src="<?= _st('datepicker.js') ?>"></script>
<script type="text/javascript">
window.addEvent('domready', function() {
	var m_date = new DatePicker($('m_date'), {
		pickerClass: 'datepicker',
		positionOffset: { x: -10, y: 0 }, 
		allowEmpty: true,
		format: 'd M Y',
		maxDate: { date: '<?= date('d m Y') ?>', format: 'd m Y' }
	});

    if ($('meeting_city').get('value') == 'other')
		$('geo').set('class', '');
	else
		$('geo').set('class', 'none');

	$('meeting_city').addEvent('change', function() {
		if ($('meeting_city').get('value') == 'other')
			$('geo').set('class', '');
		else
			$('geo').set('class', 'none');
	});

	$('meeting_place').addEvent('change', function() {
		if ($('meeting_place').get('value') != '')
		{
			var text = $('meeting_place').getSelected().get('text');
			$('t_meeting_place').set('value', text);
		}
	});

	$('duration').addEvent('blur', function() {
		addDuration();
	});

	$('duration_unit').addEvent('change', function() {
		addDuration();
	});

	m_date.addEvent('select', function(d) {
		var text = this.format(d, this.options.format);
		
		$('t_meeting_date').set('value', text);
	});

	//RecaptchaOptions = {theme : 'white'};
	//Recaptcha.create("6LdcRr8SAAAAAJH8_-gPTzJlbVZV9RE2Kj7zekcw", $('recaptcha_div'), RecaptchaOptions);
});

function addDuration()
{
	if ($('duration').get('value') != '')
	{
		var text = $('duration').get('value');
		var text2 = $('duration_unit').getSelected().get('text');
		$('t_meeting_duration').set('value', text + ' ' + text2);
	}
}

</script>

<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
<div class="gray-box form">
	<form action="" method="post" onsubmit="Navigation.overlay.disable()">
		<input type="hidden" name="escort_id" value="<?= $this->escort_id ?>" />
		<fieldset>
			<legend><?= __('pv2_section_escort') ?></legend>
			<div class="body">
				<div class="lindent">
					<div class="inner long">
						<label for=""><?= __('pv2_label_showname') ?></label>
						<?= $this->showname ?>
						<div class="clear"></div>
					</div>
					<div class="inner long">
						<label for="m_date"><?= __('pv2_label_date_of_the_meeting') ?><span class="req">*</span></label>
						<input id="m_date" type="text" class="txt" name="m_date" value="<?= $this->review->m_date ?>" style="width: 200px;" />
						<div class="clear"></div>
					</div>
					
					<div class="inner long">
						<label for="meeting_city"><?= __('pv2_label_city_of_the_meeting') ?><span class="req">*</span></label>
						<select id="meeting_city" name="meeting_city">
							<? foreach ($this->cities as $city): ?>
							<option value="<?= $city['id'] ?>"<?= $this->review->meeting_city == $city['id'] ? ' selected="selected"' : '' ?>><?= $city['title'] ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
							<option value="other"<?= $this->review->meeting_city == 'other' ? ' selected="selected"' : '' ?>><?= __('pv2_label_other') ?>&nbsp;&nbsp;</option>
						</select>
						<div class="clear"></div>
					</div>

					<div style="border: 1px solid #CCC; float: left; padding: 10px 10px 0 10px; margin-bottom: 10px;" class="none" id="geo">
						<div class="inner long">
							<label for="country"><?= __('pv2_label_country') ?></label>
							<? $model = new Cubix_Geography_Countries() ?>
							<select onchange="Geography.loadCities($('city'), this)" id="country" name="country_id" style="width: 207px">
								<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
								<? foreach ($model->ajaxGetAllBlx(false) as $country): ?>
								<option value="<?= $country->id ?>"<? if ($this->review): ?><?= $this->review->country_id == $country->id ? ' selected="selected"' : '' ?><? else: ?><?= 71 == $country->id ? ' selected="selected"' : '' ?><? endif; ?>><?= $country->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
							</select>
							<div class="clear"></div>
						</div>
						<div class="inner long">
							<label for="city"><?= __('pv2_label_city') ?></label>
							<? $model = new Cubix_Geography_Cities() ?>
							<select id="city" name="city_id" style="width: 207px">
								<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
								<? if ( $this->review->country_id ): ?>
								<? foreach ($model->ajaxGetAll(null, $this->review->country_id) as $city): ?>
								<option value="<?= $city->id ?>"<?= $this->review->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
								<? else: ?>
								<? foreach ($model->ajaxGetAll(null, 71) as $city): ?>
								<option value="<?= $city->id ?>"<?= $this->review->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
								<? endif ?>
							</select>
							<div class="clear"></div>
						</div>
					</div>

					<div class="inner long">
						<label for="meeting_place"><?= __('pv2_label_meeting_place') ?><span class="req">*</span></label>
						<select id="meeting_place" name="meeting_place">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['meeting_place_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->meeting_place == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="duration"><?= __('pv2_label_meeting_length') ?><span class="req">*</span></label>
						<input id="duration" type="text" class="txt" name="duration" value="<?= $this->review->duration ?>" style="width: 30px; padding: 4px; margin-right: 10px;" />
						<select id="duration_unit" name="duration_unit">
							<? foreach ( $DEFINITIONS['time_unit_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->duration_unit == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="price"><?= __('pv2_label_meeting_costs') ?><span class="req">*</span></label>
						<input id="price" type="text" class="txt" name="price" value="<?= $this->review->price ?>" style="width: 30px; padding: 4px; margin-right: 10px;" />
						<div id="currency" name="currency" style="font-size: 16px; float: left; margin-top: 2px;">EUR</div>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="looks_rate"><?= __('pv2_label_rate_her_looks') ?><span class="req">*</span></label>
						<select id="looks_rate" name="looks_rate">
							<option value="-1"<?= ($this->review->looks_rate == '-1' || $this->review->looks_rate == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 10; $i += 0.5): ?>
								<option value="<?= $i ?>"<?= ($this->review->looks_rate != '' && $this->review->looks_rate == $i) ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="services_rate"><?= __('pv2_label_rate_her_services') ?><span class="req">*</span></label>
						<select id="services_rate" name="services_rate">
							<option value="-1"<?= ($this->review->services_rate == '-1' || $this->review->services_rate == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 10; $i += 0.5): ?>
								<option value="<?= $i ?>"<?= ($this->review->services_rate != '' && $this->review->services_rate == $i) ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<div class="clear"></div>
					</div>
				</div>
			</div>
		</fieldset>

		<fieldset id="fld-services">
			<legend><?= __('pv2_section_services') ?></legend>
			<div class="body">
				<div class="lindent">
					<div class="inner long">
						<label for="s_kissing"><?= __('pv2_label_kissing') ?><span class="req">*</span></label>
						<select id="s_kissing" name="s_kissing" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['kissing_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_kissing == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_blowjob"><?= __('pv2_label_blowjob') ?><span class="req">*</span></label>
						<select id="s_blowjob" name="s_blowjob" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['blowjob_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_blowjob == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_cumshot"><?= __('pv2_label_cumshot') ?><span class="req">*</span></label>
						<select id="s_cumshot" name="s_cumshot" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['cumshot_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_cumshot == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_69"><?= __('pv2_label_69') ?><span class="req">*</span></label>
						<select id="s_69" name="s_69" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_69 == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_anal"><?= __('pv2_label_anal') ?><span class="req">*</span></label>
						<select id="s_anal" name="s_anal" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_anal == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_sex"><?= __('pv2_label_sex') ?><span class="req">*</span></label>
						<select id="s_sex" name="s_sex" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['sex_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_multiple_times_sex"><?= __('pv2_label_multiple_times_sex') ?><span class="req">*</span></label>
						<select id="s_multiple_times_sex" name="s_multiple_times_sex" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['mts_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_multiple_times_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_breast"><?= __('pv2_label_breast') ?><span class="req">*</span></label>
						<select id="s_breast" name="s_breast" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['breast_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_breast == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>=
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_attitude"><?= __('pv2_label_attitude') ?><span class="req">*</span></label>
						<select id="s_attitude" name="s_attitude" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['attitude_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_attitude == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_conversation"><?= __('pv2_label_conversation') ?><span class="req">*</span></label>
						<select id="s_conversation" name="s_conversation" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['conversation_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_conversation == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_availability"><?= __('pv2_label_availability') ?><span class="req">*</span></label>
						<select id="s_availability" name="s_availability" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['availability_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_availability == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="s_photos"><?= __('pv2_label_photos') ?><span class="req">*</span></label>
						<select id="s_photos" name="s_photos" style="width: 200px;">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['photos_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_photos == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="services_comments"><?= __('pv2_label_services_comments') ?></label>
						<textarea class="txt" style="width: 575px; height: 100px;" name="services_comments" id="services_comments"><?= $this->review->services_comments ?></textarea>
						<span style="margin-left: 250px; font-size: 10px;"><?= __('pv2_label_services_comments_example') ?></span>
						<div class="clear"></div>
					</div>
				</div>
			</div>
		</fieldset>

		<fieldset style="margin-top: 10px">
			<legend><?= __('pv2_section_review') ?></legend>
			<div class="body">
				<div class="lindent">
					<div class="inner long">
						<label for="review"><?= __('pv2_section_review') ?></label>
						<textarea class="txt" style="width: 575px; height: 100px;" name="review" id="review"><?= $this->review->review ?></textarea>
						<div class="clear"></div>
					</div>
				</div>
			</div>
		</fieldset>

		<fieldset style="margin-top: 10px" id="fld-trusted">
			<legend><?= __('pv2_section_get_trusted_review') ?></legend>
			<div class="body">
				<div class="lindent">
					<div style="margin-bottom: 10px;"><?= __('pv2_label_trusted_review_example') ?></div>
					<div class="inner long">
						<label for="t_user_info"><?= __('pv2_label_t_your_info') ?><span class="req">*</span></label>
						<input id="t_user_info" type="text" class="txt" name="t_user_info" value="<?= isset($this->review->t_user_info) ? $this->review->t_user_info : $this->username ?>" style="width: 200px;" />
						<div class="clear"></div>
					</div>
					<div style="margin-left: 250px; font-size: 10px; display: block"><?= __('pv2_label_t_user_info_example') ?></div>

					<div class="inner long">
						<label for="t_meeting_date"><?= __('pv2_label_t_meeting_date') ?><span class="req">*</span></label>
						<input id="t_meeting_date" type="text" class="txt" name="t_meeting_date" value="<?= $this->review->t_meeting_date ?>" style="width: 200px;" />
						<div class="clear"></div>
					</div>
					<div style="margin-left: 250px; font-size: 10px; display: block"><?= __('pv2_label_t_meeting_date_example') ?></div>

					<div class="inner long">
						<label for="hrs"><?= __('pv2_label_t_meeting_time') ?><span class="req">*</span></label>
						<select id="hrs" name="hrs">
							<option value="-1"<?= ($this->review->hrs == '-1' || $this->review->hrs == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 23; $i ++): ?>
								<option value="<?= $i ?>"<?= ($this->review->hrs != '' && $this->review->hrs == $i) ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						<div class="fleft" style="margin:3px 15px 0 0">hrs</div>
						<select id="min" name="min">
							<option value="-1"<?= ($this->review->min == '-1' || $this->review->min == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 59; $i ++): ?>
								<option value="<?= $i ?>"<?= ($this->review->min != '' && $this->review->min == $i) ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						<div class="fleft" style="margin:3px 15px 0 0">min</div>
						
						<div class="clear"></div>
					</div>

					<div class="inner long">
						<label for="t_meeting_duration"><?= __('pv2_label_t_meeting_duration') ?><span class="req">*</span></label>
						<input id="t_meeting_duration" type="text" class="txt" name="t_meeting_duration" value="<?= $this->review->t_meeting_duration ?>" style="width: 200px;" />
						<div class="clear"></div>
					</div>
					
					<div class="inner long">
						<label for="t_meeting_place"><?= __('pv2_label_t_meeting_place') ?><span class="req">*</span></label>
						<input id="t_meeting_place" type="text" class="txt" name="t_meeting_place" value="<?= $this->review->t_meeting_place ?>" style="width: 200px;" />
						<div class="clear"></div>
					</div>
					<div style="margin-left: 250px; font-size: 10px; display: block"><?= __('pv2_label_t_meeting_place_example') ?></div>

					<div class="inner long">
						<label for="t_comments"><?= __('pv2_label_t_comments') ?><span class="req">*</span></label>
						<textarea class="txt" style="width: 500px; height: 100px; display: block; float: left" name="t_comments" id="t_comments"><?= $this->review->t_comments ?></textarea>
						<div class="clear"></div>
					</div>
					<div style="margin-left: 250px; font-size: 10px;"><?= __('pv2_label_t_comments_example') ?></div>
				</div>
			</div>
		</fieldset>

		<fieldset style="margin-top: 10px">
			<div class="body" style="padding: 10px 20px;">
				<div class="lindent">
					<div class="inner long">
						<label for="t_comments"><?= __('pv2_label_secure_text') ?><span class="req">*</span></label>
						<div class="fleft">
							<?/*<div name="captcha"></div>
							<div class="captcha_box">
								<div id="recaptcha_div"></div>
							</div> */?>
							<span class="fleft" style="margin-right:10px"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
							<input id="captcha" type="text" class="txt" name="captcha"  style="width: 105px; height: 21px; background:none " />
						</div>
						
						<div class="clear"></div>
					</div>
				</div>
			</div>
		</fieldset>

		<fieldset style="margin-top: 10px">
			<div class="body" style="padding: 10px 20px;">
				<div class="lindent">
					<div class="buttons" style="margin-top: 4px !important; padding: 0 !important">
						<button name="profile" type="submit"><img src="<?= _st('_/btn_save-small.gif') ?>" alt="Save" /></button>
						<button type="reset"><img src="<?= _st('_/btn_reset-small.gif') ?>" alt="Reset" /></button>
					</div>
				</div>
			</div>
		</fieldset>

		<script type="text/javascript">
			FormErrors.init(<?= json_encode($this->errors) ?>);
		</script>
	</form>
</div>
